Bug 156371 - [patch] devel/tcllib -- update to 1.13
Summary: [patch] devel/tcllib -- update to 1.13
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mikhail Teterin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-13 17:10 UTC by Pietro Cerutti
Modified: 2011-05-05 21:50 UTC (History)
0 users

See Also:


Attachments
file.diff (31.70 KB, patch)
2011-04-13 17:10 UTC, Pietro Cerutti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pietro Cerutti 2011-04-13 17:10:10 UTC
The patch updates devel/tcllib to the latest 1.13 version. Moreover, it refactors a little bit the Makefile.

I'll be happy to take over maintainship for this port, if the current maintainer is willing to let it go.
Comment 1 Edwin Groothuis freebsd_committer 2011-04-13 17:10:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mi

mi@aldan.algebra.com => mi@ (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2011-04-13 17:10:24 UTC
Maintainer of devel/tcllib,

Please note that PR ports/156371 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/156371

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2011-04-13 17:10:26 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 dfilter service freebsd_committer 2011-05-02 08:57:25 UTC
gahr        2011-05-02 07:57:11 UTC

  FreeBSD ports repository

  Modified files:
    devel/tcllib         Makefile distinfo pkg-plist 
  Added files:
    devel/tcllib         Makefile.man 
  Removed files:
    devel/tcllib/files   patch-jpeg 
  Log:
  - Update to 1.13
  - Refactor Makefile
  
  PR:             156371
  Submitted by:   Pietro Cerutti <gahr@gahr.ch>
  Approved by:    maintainer (timeout after 18 days)
  
  Revision  Changes    Path
  1.35      +6 -72     ports/devel/tcllib/Makefile
  1.1       +316 -0    ports/devel/tcllib/Makefile.man (new)
  1.13      +2 -3      ports/devel/tcllib/distinfo
  1.2       +0 -9      ports/devel/tcllib/files/patch-jpeg (dead)
  1.15      +264 -94   ports/devel/tcllib/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Pietro Cerutti freebsd_committer 2011-05-02 09:02:25 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 6 Mikhail T. 2011-05-05 21:45:57 UTC
After this update, `make test' fails as follows:

* pop3d 1.1.0
  [8.5.9] comm                  ~~ FAILS T    22 P    21 S     0 F     1
  [8.5.9] multiplexer           ~~ FAILS T     9 P     8 S     0 F     1
  [8.5.9] pop3                  ~~ FAILS T    45 P    44 S     0 F     1
  [8.5.9] tepam                 ~~ ERR   T   820 P   820 S     0 F     0

This should be fixed -- either by identifying the detected bug or by 
patching (or disabling) the broken test(s). Authors' own tests are too 
precious to ignore. Yours,

    -mi